/*
Navicat Oracle Data Transfer
Oracle Client Version : 10.2.0.5.0

Source Server         : 192.168.1.22
Source Server Version : 110200
Source Host           : 192.168.1.22:1521
Source Schema         : WGCLOUD

Target Server Type    : ORACLE
Target Server Version : 110200
File Encoding         : 65001

Date: 2022-07-12 10:21:10
*/


-- ----------------------------
-- Table structure for ACCOUNT_INFO
-- ----------------------------
CREATE TABLE "ACCOUNT_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"ACCOUNT" VARCHAR2(50) NULL ,
"EMAIL" VARCHAR2(50) NULL ,
"PASSWD" VARCHAR2(50) NULL ,
"ACCOUNT_KEY" VARCHAR2(50) NULL ,
"REMARK" VARCHAR2(50) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for APP_INFO
-- ----------------------------
CREATE TABLE "APP_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"APP_PID" VARCHAR2(200) NULL ,
"CREATE_TIME" DATE NULL ,
"APP_NAME" VARCHAR2(50) NULL ,
"CPU_PER" NUMBER NULL ,
"MEM_PER" NUMBER NULL ,
"APP_TYPE" VARCHAR2(1) NULL ,
"STATE" VARCHAR2(1) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"READ_BYTES" VARCHAR2(20) NULL ,
"WRITES_BYTES" VARCHAR2(20) NULL ,
"THREADS_NUM" VARCHAR2(20) NULL ,
"GATHER_PID" VARCHAR2(20) NULL ,
"APP_TIMES" VARCHAR2(50) NULL ,
"GROUP_ID" VARCHAR2(500) NULL 
);

-- ----------------------------
-- Table structure for APP_STATE
-- ----------------------------
CREATE TABLE "APP_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"APP_INFO_ID" VARCHAR2(32) NULL ,
"CPU_PER" NUMBER NULL ,
"MEM_PER" NUMBER NULL ,
"CREATE_TIME" DATE NULL ,
"THREADS_NUM" VARCHAR2(20) NULL 
);

-- ----------------------------
-- Table structure for CPU_STATE
-- ----------------------------
CREATE TABLE "CPU_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"USER_PER" VARCHAR2(30) NULL ,
"SYS" NUMBER NULL ,
"IDLE" NUMBER NULL ,
"IOWAIT" NUMBER NULL ,
"IRQ" VARCHAR2(30) NULL ,
"SOFT" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for CPU_TEMPERATURES
-- ----------------------------
CREATE TABLE "CPU_TEMPERATURES" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"CORE_INDEX" VARCHAR2(50) NULL ,
"CRIT" VARCHAR2(10) NULL ,
"INPUT" VARCHAR2(10) NULL ,
"MAX" VARCHAR2(10) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for DB_INFO
-- ----------------------------
CREATE TABLE "DB_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"DBTYPE" VARCHAR2(32) NULL ,
"USER_NAME" VARCHAR2(50) NULL ,
"PASSWD" VARCHAR2(50) NULL ,
"DBURL" VARCHAR2(500) NULL ,
"CREATE_TIME" DATE NULL ,
"DB_STATE" VARCHAR2(1) NULL ,
"ALIAS_NAME" VARCHAR2(50) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for DB_TABLE
-- ----------------------------
CREATE TABLE "DB_TABLE" (
"ID" VARCHAR2(32) NOT NULL ,
"TABLE_NAME" VARCHAR2(50) NULL ,
"WHERE_VAL" VARCHAR2(2000) NULL ,
"CREATE_TIME" DATE NULL ,
"REMARK" VARCHAR2(50) NULL ,
"TABLE_COUNT" NUMBER(20) NULL ,
"DBINFO_ID" VARCHAR2(32) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"STATE" VARCHAR2(1) NULL ,
"RESULT_EXP" VARCHAR2(100) NULL 
);

-- ----------------------------
-- Table structure for DB_TABLE_COUNT
-- ----------------------------
CREATE TABLE "DB_TABLE_COUNT" (
"ID" VARCHAR2(32) NOT NULL ,
"DB_TABLE_ID" VARCHAR2(32) NULL ,
"TABLE_COUNT" NUMBER(20) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for DCE_INFO
-- ----------------------------
CREATE TABLE "DCE_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"CREATE_TIME" DATE NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"RES_TIMES" NUMBER(11) NULL ,
"REMARK" VARCHAR2(50) NULL ,
"GROUP_ID" VARCHAR2(500) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for DCE_STATE
-- ----------------------------
CREATE TABLE "DCE_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"DCE_ID" VARCHAR2(32) NULL ,
"RES_TIMES" NUMBER(11) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for DESK_IO
-- ----------------------------
CREATE TABLE "DESK_IO" (
"ID" VARCHAR2(32) NOT NULL ,
"FILE_STSTEM" VARCHAR2(200) NULL ,
"READ_COUNT" VARCHAR2(20) NULL ,
"WRITE_OUNT" VARCHAR2(20) NULL ,
"READ_BYTES" VARCHAR2(20) NULL ,
"WRITE_BYTES" VARCHAR2(20) NULL ,
"READ_TIME" VARCHAR2(20) NULL ,
"WRITE_TIME" VARCHAR2(20) NULL ,
"CREATE_TIME" DATE NULL ,
"HOST_NAME" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for DISK_SMART
-- ----------------------------
CREATE TABLE "DISK_SMART" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"FILE_STSTEM" VARCHAR2(255) NULL ,
"DISK_STATE" VARCHAR2(50) NULL ,
"POWER_HOURS" VARCHAR2(50) NULL ,
"POWER_COUNT" VARCHAR2(50) NULL ,
"TEMPERATURE" VARCHAR2(50) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for DISK_STATE
-- ----------------------------
CREATE TABLE "DISK_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"FILE_STSTEM" VARCHAR2(200) NULL ,
"DISK_SIZE" VARCHAR2(30) NULL ,
"USED" VARCHAR2(30) NULL ,
"AVAIL" VARCHAR2(30) NULL ,
"USE_PER" VARCHAR2(10) NULL ,
"DATE_STR" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for DOCKER_INFO
-- ----------------------------
CREATE TABLE "DOCKER_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"DOCKER_ID" VARCHAR2(100) NULL ,
"DOCKER_NAME" VARCHAR2(100) NULL ,
"DOCKER_STATE" VARCHAR2(50) NULL ,
"MEM_PER" NUMBER NULL ,
"STATE" VARCHAR2(1) NULL ,
"CREATE_TIME" DATE NULL ,
"USER_TIME" VARCHAR2(20) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"APP_TYPE" VARCHAR2(1) NULL ,
"DOCKER_IMAGE" VARCHAR2(100) NULL ,
"DOCKER_PORT" VARCHAR2(200) NULL ,
"DOCKER_COMMAND" VARCHAR2(500) NULL ,
"DOCKER_CREATED" VARCHAR2(50) NULL ,
"DOCKER_SIZE" VARCHAR2(20) NULL ,
"DOCKER_STATUS" VARCHAR2(100) NULL ,
"GATHER_DOCKER_NAMES" VARCHAR2(100) NULL ,
"GROUP_ID" VARCHAR2(500) NULL 
);

-- ----------------------------
-- Table structure for DOCKER_STATE
-- ----------------------------
CREATE TABLE "DOCKER_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"DOCKER_INFO_ID" VARCHAR2(32) NULL ,
"CPU_PER" NUMBER NULL ,
"MEM_PER" NUMBER NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for EQUIPMENT
-- ----------------------------
CREATE TABLE "EQUIPMENT" (
"ID" VARCHAR2(32) NOT NULL ,
"NAME" VARCHAR2(50) NULL ,
"XINGHAO" VARCHAR2(50) NULL ,
"PERSON" VARCHAR2(50) NULL ,
"DEPT" VARCHAR2(50) NULL ,
"CODE" VARCHAR2(50) NULL ,
"PRICE" NUMBER NULL ,
"GONGYINGSHANG" VARCHAR2(50) NULL ,
"CAIGOU_DATE" VARCHAR2(50) NULL ,
"WEIBAO_DATE" VARCHAR2(50) NULL ,
"REMARK" VARCHAR2(255) NULL ,
"CREATE_TIME" DATE NULL ,
"GROUP_ID" VARCHAR2(500) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for FILE_SAFE
-- ----------------------------
CREATE TABLE "FILE_SAFE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"FILE_NAME" VARCHAR2(50) NULL ,
"STATE" VARCHAR2(1) NULL ,
"FILE_PATH" VARCHAR2(255) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"FILE_SIGN" VARCHAR2(50) NULL ,
"FILE_MODTIME" VARCHAR2(50) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for FILE_WARN
-- ----------------------------
CREATE TABLE "FILE_WARN" (
"ID" VARCHAR2(32) NOT NULL ,
"FILE_PATH" VARCHAR2(255) NULL ,
"FILE_SIZE" VARCHAR2(32) NULL ,
"WARN_CHARS" VARCHAR2(500) NULL ,
"CREATE_TIME" DATE NULL ,
"WARN_ROWS" VARCHAR2(20) NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"REMARK" VARCHAR2(255) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"FILE_TYPE" VARCHAR2(1) NULL ,
"FILE_NAME_PREFIX" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for FILE_WARN_STATE
-- ----------------------------
CREATE TABLE "FILE_WARN_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"WAR_CONTENT" NCLOB NULL ,
"CREATE_TIME" DATE NULL ,
"FILE_WARN_ID" VARCHAR2(32) NULL ,
"FILE_PATH" VARCHAR2(255) NULL 
);

-- ----------------------------
-- Table structure for HEATH_MONITOR
-- ----------------------------
CREATE TABLE "HEATH_MONITOR" (
"ID" VARCHAR2(32) NOT NULL ,
"APP_NAME" VARCHAR2(50) NULL ,
"HEATH_URL" VARCHAR2(255) NULL ,
"CREATE_TIME" DATE NULL ,
"HEATH_STATUS" VARCHAR2(10) NULL ,
"RES_TIMES" NUMBER(11) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"RES_KEYWORD" VARCHAR2(255) NULL ,
"METHOD" VARCHAR2(5) NULL ,
"POST_STR" VARCHAR2(2000) NULL ,
"RES_NO_KEYWORD" VARCHAR2(255) NULL ,
"HEADER_JSON" VARCHAR2(1500) NULL ,
"RESPONSE_BODY_SIZE" VARCHAR2(20) NULL ,
"FORM_JSON" VARCHAR2(1500) NULL ,
"ERROR_MSG" VARCHAR2(200) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for HEATH_STATE
-- ----------------------------
CREATE TABLE "HEATH_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HEATH_ID" VARCHAR2(32) NULL ,
"CREATE_TIME" DATE NULL ,
"RES_TIMES" NUMBER(11) NULL 
);

-- ----------------------------
-- Table structure for HOST_DISK_PER
-- ----------------------------
CREATE TABLE "HOST_DISK_PER" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"DISK_SUM_PER" NUMBER NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for HOST_GROUP
-- ----------------------------
CREATE TABLE "HOST_GROUP" (
"ID" VARCHAR2(32) NOT NULL ,
"GROUP_NAME" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL ,
"REMARK" VARCHAR2(255) NULL ,
"GROUP_TYPE" VARCHAR2(5) NULL 
);

-- ----------------------------
-- Table structure for INTRUSION_INFO
-- ----------------------------
CREATE TABLE "INTRUSION_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(30) NULL ,
"LSMOD" NCLOB NULL ,
"PASSWD_INFO" VARCHAR2(100) NULL ,
"CRONTAB" NCLOB NULL ,
"PROMISC" VARCHAR2(100) NULL ,
"RPCINFO" NCLOB NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for LOG_INFO
-- ----------------------------
CREATE TABLE "LOG_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(200) NULL ,
"INFO_CONTENT" NCLOB NULL ,
"STATE" VARCHAR2(1) NULL ,
"CREATE_TIME" DATE NOT NULL 
);

-- ----------------------------
-- Table structure for MAIL_SET
-- ----------------------------
CREATE TABLE "MAIL_SET" (
"ID" VARCHAR2(32) NOT NULL ,
"SEND_MAIL" VARCHAR2(60) NULL ,
"FROM_MAIL_NAME" VARCHAR2(60) NULL ,
"FROM_PWD" VARCHAR2(30) NULL ,
"SMTP_HOST" VARCHAR2(100) NULL ,
"SMTP_PORT" VARCHAR2(30) NULL ,
"SMTP_SSL" VARCHAR2(30) NULL ,
"TO_MAIL" VARCHAR2(300) NULL ,
"CPU_PER" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL ,
"MEM_PER" VARCHAR2(30) NULL ,
"HEATH_PER" VARCHAR2(30) NULL 
);

-- ----------------------------
-- Table structure for MEM_STATE
-- ----------------------------
CREATE TABLE "MEM_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"TOTAL" VARCHAR2(30) NULL ,
"USED" VARCHAR2(30) NULL ,
"FREE" VARCHAR2(30) NULL ,
"USE_PER" NUMBER NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for NETIO_STATE
-- ----------------------------
CREATE TABLE "NETIO_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"RXPCK" VARCHAR2(30) NULL ,
"TXPCK" VARCHAR2(30) NULL ,
"RXBYT" VARCHAR2(30) NULL ,
"TXBYT" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL ,
"DROPIN" VARCHAR2(30) NULL ,
"DROPOUT" VARCHAR2(30) NULL ,
"NET_CONNECTIONS" VARCHAR2(20) NULL 
);

-- ----------------------------
-- Table structure for PORT_INFO
-- ----------------------------
CREATE TABLE "PORT_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"PORT" VARCHAR2(30) NULL ,
"PORT_NAME" VARCHAR2(30) NULL ,
"STATE" VARCHAR2(1) NULL ,
"CREATE_TIME" DATE NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"TELNET_IP" VARCHAR2(300) NULL ,
"GROUP_ID" VARCHAR2(500) NULL 
);

-- ----------------------------
-- Table structure for SHELL_INFO
-- ----------------------------
CREATE TABLE "SHELL_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"SHELL" VARCHAR2(2000) NULL ,
"CREATE_TIME" DATE NULL ,
"STATE" VARCHAR2(1) NULL ,
"SHELL_NAME" VARCHAR2(50) NULL ,
"SHELL_TYPE" VARCHAR2(5) NULL ,
"SHELL_TIME" VARCHAR2(20) NULL ,
"SHELL_DAY" VARCHAR2(5) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for SHELL_STATE
-- ----------------------------
CREATE TABLE "SHELL_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"SHELL_ID" VARCHAR2(32) NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"CREATE_TIME" DATE NULL ,
"STATE" VARCHAR2(500) NULL ,
"SHELL" VARCHAR2(2000) NULL ,
"SHELL_TIME" VARCHAR2(20) NULL 
);

-- ----------------------------
-- Table structure for SNMP_INFO
-- ----------------------------
CREATE TABLE "SNMP_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"BYTES_RECV" VARCHAR2(30) NULL ,
"BYTES_SENT" VARCHAR2(30) NULL ,
"RECV_AVG" VARCHAR2(20) NULL ,
"SENT_AVG" VARCHAR2(20) NULL ,
"STATE" VARCHAR2(1) NULL ,
"ACTIVE" VARCHAR2(1) NULL ,
"CREATE_TIME" DATE NULL ,
"SNMP_UNIT" VARCHAR2(20) NULL ,
"REMARK" VARCHAR2(50) NULL ,
"RECV_OID" NCLOB NULL ,
"SENT_OID" NCLOB NULL ,
"SNMP_COMMUNITY" VARCHAR2(50) NULL ,
"SNMP_PORT" VARCHAR2(10) NULL ,
"SNMP_VERSION" VARCHAR2(10) NULL ,
"CPU_PER_OID" VARCHAR2(100) NULL ,
"MEM_SIZE_OID" VARCHAR2(100) NULL ,
"MEM_TOTAL_SIZE_OID" VARCHAR2(100) NULL ,
"CPU_PER" VARCHAR2(10) NULL ,
"MEM_PER" VARCHAR2(10) NULL ,
"DISK_PER_OID" VARCHAR2(100) NULL ,
"DISK_PER" VARCHAR2(10) NULL ,
"RECV_AVG_OID" VARCHAR2(100) NULL ,
"SENT_AVG_OID" VARCHAR2(100) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for SNMP_STATE
-- ----------------------------
CREATE TABLE "SNMP_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"SNMP_INFO_ID" VARCHAR2(32) NULL ,
"RECV_AVG" VARCHAR2(20) NULL ,
"SENT_AVG" VARCHAR2(20) NULL ,
"CPU_PER" VARCHAR2(10) NULL ,
"MEM_PER" VARCHAR2(10) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for SYS_LOAD_STATE
-- ----------------------------
CREATE TABLE "SYS_LOAD_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"ONE_LOAD" NUMBER NULL ,
"FIVE_LOAD" NUMBER NULL ,
"FIFTEEN_LOAD" NUMBER NULL ,
"USERS" VARCHAR2(10) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for SYSTEM_INFO
-- ----------------------------
CREATE TABLE "SYSTEM_INFO" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(50) NULL ,
"PLATFORM" VARCHAR2(200) NULL ,
"CPU_PER" NUMBER NULL ,
"MEM_PER" NUMBER NULL ,
"CPU_CORE_NUM" VARCHAR2(10) NULL ,
"CREATE_TIME" DATE NULL ,
"CPU_XH" VARCHAR2(150) NULL ,
"STATE" VARCHAR2(1) NULL ,
"BOOT_TIME" NUMBER(20) NULL ,
"PROCS" VARCHAR2(11) NULL ,
"PLATFORM_VERSION" VARCHAR2(100) NULL ,
"UPTIME" NUMBER(20) NULL ,
"GROUP_ID" VARCHAR2(500) NULL ,
"REMARK" VARCHAR2(100) NULL ,
"TOTAL_MEM" VARCHAR2(50) NULL ,
"SUBMIT_SECONDS" VARCHAR2(10) NULL ,
"AGENT_VER" VARCHAR2(50) NULL ,
"BYTES_RECV" VARCHAR2(20) NULL ,
"BYTES_SENT" VARCHAR2(20) NULL ,
"RXBYT" VARCHAR2(30) NULL ,
"TXBYT" VARCHAR2(30) NULL ,
"WIN_CONSOLE" VARCHAR2(255) NULL ,
"HOST_NAME_EXT" VARCHAR2(100) NULL ,
"FIVE_LOAD" NUMBER NULL ,
"FIFTEEN_LOAD" NUMBER NULL ,
"NET_CONNECTIONS" VARCHAR2(20) NULL ,
"SWAP_MEM_PER" VARCHAR2(20) NULL ,
"TOTAL_SWAP_MEM" VARCHAR2(50) NULL ,
"ACCOUNT" VARCHAR2(50) NULL 
);

-- ----------------------------
-- Table structure for TCP_STATE
-- ----------------------------
CREATE TABLE "TCP_STATE" (
"ID" VARCHAR2(32) NOT NULL ,
"HOST_NAME" VARCHAR2(30) NULL ,
"ACTIVE" VARCHAR2(30) NULL ,
"PASSIVE" VARCHAR2(30) NULL ,
"RETRANS" VARCHAR2(30) NULL ,
"DATE_STR" VARCHAR2(30) NULL ,
"CREATE_TIME" DATE NULL 
);

-- ----------------------------
-- Table structure for custom_info
-- ----------------------------
CREATE TABLE "CUSTOM_INFO" (
  "ID" VARCHAR2(32) NOT NULL,
  "CUSTOM_NAME" VARCHAR2(50) DEFAULT NULL,
  "CUSTOM_SHELL" VARCHAR2(2000) DEFAULT NULL,
  "CREATE_TIME" DATE NULL,
  "HOST_NAME" VARCHAR2(50) DEFAULT NULL,
  "ACTIVE" VARCHAR2(1) DEFAULT NULL,
  "STATE" VARCHAR2(1) DEFAULT NULL,
  "RESULT_EXP" VARCHAR2(100) DEFAULT NULL,
  "GROUP_ID" VARCHAR2(500) DEFAULT NULL,
  "CUSTOM_VALUE" VARCHAR2(50) DEFAULT NULL
);

-- ----------------------------
-- Table structure for custom_state
-- ----------------------------
CREATE TABLE "CUSTOM_STATE" (
  "ID" VARCHAR2(32) NOT NULL,
  "CUSTOM_INFO_ID" VARCHAR2(32) DEFAULT NULL,
  "CREATE_TIME" DATE NULL,
  "CUSTOM_VALUE" VARCHAR2(50) DEFAULT NULL
);

-- ----------------------------
-- Table structure for FTP_INFO
-- ----------------------------
CREATE TABLE "FTP_INFO" (
  "ID" VARCHAR2(32) NOT NULL,
  "FTP_HOST" VARCHAR2(100) DEFAULT NULL,
  "USER_NAME" VARCHAR2(50) DEFAULT NULL,
  "PASSWD" VARCHAR2(50) DEFAULT NULL,
  "PORT" VARCHAR2(50) DEFAULT NULL,
  "ACTIVE" char(1) DEFAULT NULL,
  "WARN_TYPE" VARCHAR2(10) DEFAULT NULL,
  "STATE" char(1) DEFAULT NULL,
  "FTP_TYPE" VARCHAR2(10) DEFAULT NULL,
  "CREATE_TIME" DATE NULL,
  "ACCOUNT" VARCHAR2(50) DEFAULT NULL,
  "FTP_NAME" VARCHAR2(50) DEFAULT NULL,
  "RES_TIMES" NUMBER(20) NULL
);

CREATE TABLE "REPORT_INFO" (
  "ID" VARCHAR2(32) NOT NULL,
  "TIME_PART" VARCHAR2(100) NULL,
  "REPORT_TYPE" VARCHAR2(1) NULL,
  "CREATE_TIME" DATE NULL
);


CREATE TABLE "REPORT_INSTANCE" (
  "ID" VARCHAR2(32) NOT NULL,
  "INFO_KEY" VARCHAR2(50) NULL,
  "INFO_CONTENT" VARCHAR2(200) NULL,
  "REPORT_INFO_ID" VARCHAR2(32)NULL,
  "CREATE_TIME" DATE NULL
);


-- ----------------------------
-- Primary Key structure for table ACCOUNT_INFO
-- ----------------------------
ALTER TABLE "ACCOUNT_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table APP_INFO
-- ----------------------------


-- ----------------------------
-- Primary Key structure for table APP_INFO
-- ----------------------------
ALTER TABLE "APP_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table APP_STATE
-- ----------------------------
CREATE INDEX "APP_STAT_INDEX" ON "APP_STATE" ("APP_INFO_ID" ASC, "CREATE_TIME" ASC);


-- ----------------------------
-- Primary Key structure for table APP_STATE
-- ----------------------------
ALTER TABLE "APP_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table CPU_STATE
-- ----------------------------
CREATE INDEX "CPU_ACC_HOST_INDEX" ON "CPU_STATE" ("HOST_NAME" ASC, "CREATE_TIME" ASC);


-- ----------------------------
-- Primary Key structure for table CPU_STATE
-- ----------------------------
ALTER TABLE "CPU_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table CPU_TEMPERATURES
-- ----------------------------
ALTER TABLE "CPU_TEMPERATURES" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DB_INFO
-- ----------------------------
ALTER TABLE "DB_INFO" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DB_TABLE
-- ----------------------------
ALTER TABLE "DB_TABLE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table DB_TABLE_COUNT
-- ----------------------------
CREATE INDEX "DBTABLE_ID_CREATE_TIME" ON "DB_TABLE_COUNT" ("DB_TABLE_ID" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table DB_TABLE_COUNT
-- ----------------------------
ALTER TABLE "DB_TABLE_COUNT" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table DCE_INFO
-- ----------------------------
CREATE INDEX "DCE_INFO_HOSTNAME_INDEX" ON "DCE_INFO" ("HOST_NAME" ASC);


-- ----------------------------
-- Primary Key structure for table DCE_INFO
-- ----------------------------
ALTER TABLE "DCE_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table DCE_STATE
-- ----------------------------
CREATE INDEX "DCE_STATE_DCEID_INDEX" ON "DCE_STATE" ("DCE_ID" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table DCE_STATE
-- ----------------------------
ALTER TABLE "DCE_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DESK_IO
-- ----------------------------
ALTER TABLE "DESK_IO" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DISK_SMART
-- ----------------------------
ALTER TABLE "DISK_SMART" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DISK_STATE
-- ----------------------------
ALTER TABLE "DISK_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table DOCKER_INFO
-- ----------------------------
ALTER TABLE "DOCKER_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table DOCKER_STATE
-- ----------------------------
CREATE INDEX "DOCKER_STATE_INDEX" ON "DOCKER_STATE" ("DOCKER_INFO_ID" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table DOCKER_STATE
-- ----------------------------
ALTER TABLE "DOCKER_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table EQUIPMENT
-- ----------------------------
ALTER TABLE "EQUIPMENT" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table FILE_SAFE
-- ----------------------------
ALTER TABLE "FILE_SAFE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table FILE_WARN
-- ----------------------------
ALTER TABLE "FILE_WARN" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table FILE_WARN_STATE
-- ----------------------------
CREATE INDEX "FILE_WARN_ID_INDEX" ON "FILE_WARN_STATE" ("FILE_WARN_ID" ASC);

-- ----------------------------
-- Primary Key structure for table FILE_WARN_STATE
-- ----------------------------
ALTER TABLE "FILE_WARN_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table HEATH_MONITOR
-- ----------------------------
ALTER TABLE "HEATH_MONITOR" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table HEATH_STATE
-- ----------------------------
CREATE INDEX "HEATH_ID_CREATE_TIME" ON "HEATH_STATE" ("HEATH_ID" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table HEATH_STATE
-- ----------------------------
ALTER TABLE "HEATH_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table HOST_DISK_PER
-- ----------------------------
ALTER TABLE "HOST_DISK_PER" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table HOST_GROUP
-- ----------------------------
ALTER TABLE "HOST_GROUP" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table INTRUSION_INFO
-- ----------------------------
ALTER TABLE "INTRUSION_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table LOG_INFO
-- ----------------------------
ALTER TABLE "LOG_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table MAIL_SET
-- ----------------------------
ALTER TABLE "MAIL_SET" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table MEM_STATE
-- ----------------------------
CREATE INDEX "MEM_ACC_HOST_INDEX" ON "MEM_STATE" ("HOST_NAME" ASC, "CREATE_TIME" ASC);


-- ----------------------------
-- Primary Key structure for table MEM_STATE
-- ----------------------------
ALTER TABLE "MEM_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table NETIO_STATE
-- ----------------------------
CREATE INDEX "NETIO_ACC_HOST_INDEX" ON "NETIO_STATE" ("HOST_NAME" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table NETIO_STATE
-- ----------------------------
ALTER TABLE "NETIO_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table PORT_INFO
-- ----------------------------
CREATE INDEX "PORT_HOST_NAME_INDEX" ON "PORT_INFO" ("HOST_NAME" ASC);


-- ----------------------------
-- Primary Key structure for table PORT_INFO
-- ----------------------------
ALTER TABLE "PORT_INFO" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table SHELL_INFO
-- ----------------------------
ALTER TABLE "SHELL_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table SHELL_STATE
-- ----------------------------
CREATE INDEX "SHELL_STATE_INDEX1" ON "SHELL_STATE" ("HOST_NAME" ASC);
CREATE INDEX "SHELL_STATE_INDEX2" ON "SHELL_STATE" ("SHELL_ID" ASC);


-- ----------------------------
-- Primary Key structure for table SHELL_STATE
-- ----------------------------
ALTER TABLE "SHELL_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table SNMP_INFO
-- ----------------------------
ALTER TABLE "SNMP_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table SNMP_STATE
-- ----------------------------
CREATE INDEX "SNMP_ID_CREATE_TIME" ON "SNMP_STATE" ("SNMP_INFO_ID" ASC, "CREATE_TIME" ASC);


-- ----------------------------
-- Primary Key structure for table SNMP_STATE
-- ----------------------------
ALTER TABLE "SNMP_STATE" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table SYS_LOAD_STATE
-- ----------------------------
CREATE INDEX "LOAD_ACC_HOST_INDEX" ON "SYS_LOAD_STATE" ("HOST_NAME" ASC, "CREATE_TIME" ASC);


-- ----------------------------
-- Primary Key structure for table SYS_LOAD_STATE
-- ----------------------------
ALTER TABLE "SYS_LOAD_STATE" ADD PRIMARY KEY ("ID");


-- ----------------------------
-- Primary Key structure for table SYSTEM_INFO
-- ----------------------------
ALTER TABLE "SYSTEM_INFO" ADD PRIMARY KEY ("ID");

-- ----------------------------
-- Indexes structure for table TCP_STATE
-- ----------------------------
CREATE INDEX "TCP_ACC_HOST_INDEX" ON "TCP_STATE" ("HOST_NAME" ASC, "CREATE_TIME" ASC);

-- ----------------------------
-- Primary Key structure for table TCP_STATE
-- ----------------------------
ALTER TABLE "TCP_STATE" ADD PRIMARY KEY ("ID");

ALTER TABLE "CUSTOM_INFO" ADD PRIMARY KEY ("ID");
ALTER TABLE "CUSTOM_STATE" ADD PRIMARY KEY ("ID");
CREATE INDEX "CUSTOM_STAT_INDEX" ON "CUSTOM_STATE" ("CUSTOM_INFO_ID" ASC, "CREATE_TIME" ASC);

ALTER TABLE "FTP_INFO" ADD PRIMARY KEY ("ID");

ALTER TABLE "REPORT_INFO" ADD PRIMARY KEY ("ID");
ALTER TABLE "REPORT_INSTANCE" ADD PRIMARY KEY ("ID");